/* Problem URL: https://codeforces.com/gym/102861/problem/F */

#include <bits/stdc++.h>

using namespace std;

#define V vector

#define rmin(a, b) a = min(a, b)
#define rmax(a, b) a = max(a, b)

#define rep(i, lim) for (int i = 0; i < (lim); i++)
#define nrep(i, s, lim) for (int i = s; i < (lim); i++)

#define repv(i, v) for (auto &i : (v))
#define fillv(v) for (auto &itr_ : (v)) { cin >> itr_; }
#define sortv(v) sort(v.begin(), v.end())
#define all(v) (v).begin(), (v).end()

using vi = vector<int>;
using vvi = vector<vi>;
using vvvi = vector<vvi>;
using vvvvi = vector<vvvi>;

using ll = long long;

using vl = vector<ll>;
using vvl = vector<vl>;
using vvvl = vector<vvl>;
using vvvvl = vector<vvvl>;

template<class v>
auto operator<<(ostream &os, const vector<v> &vec)->ostream& {
    os << vec[0];
    for (size_t i = 1; i < vec.size(); i++) {
        os << ' ' << vec[i];
    }
    os << '\n';
    return os;
}

template<class v>
auto operator>>(istream &is, vector<v> &vec)->istream& {
    for (auto &i : vec) {
        is >> i;
    }
    return is;
}

template<class v>
auto operator<<(ostream &os, const vector<vector<v>> &vec)->ostream& {
    for (auto &i : vec) {
        os << i[0];
        for (size_t j = 1; j < i.size(); j++) {
            os << ' ' << i[j];
        }
        os << '\n';
    }
    return os;
}

template<class v>
auto operator>>(istream  &is, vector<vector<v>> &vec)->istream& {
    for (auto &i : vec) {
        for (auto &j : i) {
            is >> j;
        }
    }
    return is;
}

int main()
{
    ios::sync_with_stdio(false);
    cin.tie(nullptr);

    string a;
    cin >> a;

    vi points(2);
    vi games(2);
    
    int now = 0;

    const char *msg[] = {
        "",
        "",
        "(winner)"
    };

    const char *left[] = {
        "*",
        ""
    };

    const char *right[] = {
        "",
        "*"
    };

    repv(i, a) {
        if (i == 'S') {
            points[now]++;
        } else if (i == 'R') {
            now ^= 1; 
            points[now]++;
        } else if (i == 'Q') {
            if (games[0] == 2 || games[1] == 2) {
                printf("%d %s - %d %s\n", games[0], msg[games[0]], games[1], msg[games[1]]);
                continue;
            }

            printf("%d (%d%s) - %d (%d%s)\n", games[0], points[0], left[now], games[1], points[1], right[now]);
        }

        if (points[now] == 10 || (points[now] >= 5 && points[now] - points[now^1] >= 2)) {
            games[now]++;
            points[0] = 0;
            points[1] = 0;
        }
    }
}
